<template>
    <div class="widget-container">
        <div class="row header-container">
            <div class="col-sm-8 header-text">This Messenger feature allows you to collect visitor data on your site.
                Make sure to
                submit your checkbox application to us! (In its default state, the box will be unchecked)
            </div>
            <div class="col-sm-4 text-right">
                <ToggleButton font-size="12" class="toggle-btn" height="24" :labels="true"
                              color="rgb(45, 119, 245)"></ToggleButton>
            </div>
        </div>
        <div class="messenger-widget-title">Choose your preferred style:</div>
        <div class="row messenger-widget-row">
            <div class="col-lg-6">
                <div
                    class="messenger-widget-container messenger-widget-container messenger-cart-widget-container active">
                    <span class="help-tooltip">
                         <i class="fa fa-question-circle-o"></i>
                    </span>
                    <div class="edit-link">
                        <router-link to="#">Edit text</router-link>
                    </div>
                    <div class="messenger-widget messenger-cart-widget">
                        <button class="carti-widget__button">Add to Cart</button>
                        <div class="carti-widget carti-widget__cart-widget">
                            <div class="fb-messenger-checkbox-preview"></div>
                            <div class="carti-widget__text">You'll receive order updates on Messenger.</div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6"></div>
        </div>
    </div>
</template>

<script>
export default {
    name: "Widget"
}
</script>

<style scoped>

.widget-container {
    background: #F5F6FA;
    padding-left: 50px;
    padding-right: 50px;
    width: 100%;
    padding-bottom: 40px;
}

.messenger-widget-row .edit-link {
    position: relative;
    text-align: center;
    margin: 0 20px 15px 20px;
}

.messenger-widget-container .messenger-widget {
    min-height: 254px;
    padding: 30px 15px 15px 15px;
    text-align: center;
}

.messenger-widget-container .messenger-cart-widget {
    margin-bottom: 3px;
}

.fb-messenger-checkbox-preview {
    background: url(../../../../assets/images/messenger-preview-checked.svg) no-repeat;
    width: 170px;
    height: 45px;
    margin: 0;
    display: inline-block;
}

.carti-widget {
    width: 100%;
    margin: 0 auto;
    text-align: center;
    padding: 10px 5px;
    clear: both;
    font-family: "Roboto", sans-serif;
}

.messenger-widget-container .carti-widget__button {
    color: #ffffff;
    background: #ED4740;
    max-width: 190px;
    margin-bottom: 10px;
    font-size: 14px;
    padding: 10px 0;
}

.carti-widget__button {
    width: 100%;
    max-width: 352px;
    color: #818181;
    background-color: #eef1f5;
    border: 0;
    border-radius: 5px;
    font-size: 16px;
    font-weight: bold;
    padding: 8px 0;
    margin-top: 8px;
    cursor: pointer;
    outline: none;
}

.carti-widget__text {
    font-size: 15px;
    text-align: center;
    color: #21344e;
    margin: 5px 0 0 0;
}

.header-text {
    font-size: 14px;
    padding-left: 0;
    padding-right: 0;
}

.messenger-widget-row .edit-link a:before {
    position: absolute;
    left: 0;
    top: 0;
    content: '';
    width: 16px;
    height: 16px;
    background-image: url(../../../../assets/images/sprite.svg);
    background-position: -89px -117px;
    background-size: 200px 169px;
}

.messenger-widget-row .edit-link a {
    position: relative;
    padding-left: 26px;
    text-decoration: none;
    color: #4786FF;
}

.help-tooltip {
    color: #4786FF;
    font-size: 20px;
    position: absolute;
    right: 10px;
    top: 5px;
}

.messenger-widget-container {
    position: relative;
    height: 100%;
    width: 100%;
    padding: 20px;
    margin-bottom: 15px;
    border: 1px solid #DEE1E6;
    border-radius: 5px;
}

.messenger-widget-container.active {
    background: #ffffff;
}

.messenger-widget-title {
    margin-bottom: 20px;
    font-size: 14px;
}

.header-container {
    margin: 40px 0 40px 0;
}

</style>
